<?php
#
#
/************************************************
* Client FTP mes document
* file : ftp.php
* version: 1.00
* date: 29/04/2008
* author: David PERRIN (équipe Eole, CETIAD Dijon)
* email: David.Perrin@ac-dijon.fr
************************************************/
/*
 * name: plugin FTP
 * description: FTP
 * dependencies: no
 * author: Eole
 * url: eole.orion.education.fr
*/

define("FTP_NAME","plugin FTP");


/*
* Registers the action in order to install and uninstall the plugin
*/
// show configuration
register_hook("display_plugin","plugftp_display",10,1);

// install and uninstall options
register_hook('install_plugin_ftp/plugin_ftp','plugftp_install');
register_hook('uninstall_plugin_ftp/plugin_ftp','plugftp_uninstall');

// save configuration
register_hook("admin_scr_config_plugins","plugftp_save_config");


function plugftp_display($info)
{
    $dest_f_name = "/var/www/html/phpWebFTP/config.php";
    if (file_exists($dest_f_name)){
        include($dest_f_name);
    }
	if($info['name'] == FTP_NAME )require_once("plugin_ftp_config.php");
}

function plugftp_save_config(){

	$inc=0;
	while ( isset($_POST["plugi".$inc]) )
	{

		if($_POST["name".$inc] == FTP_NAME)
        {
                if (isset($_POST['ftpserver'])){
                    if (isset($_POST['ftpport'])){
                        $ftpport = $_POST['ftpport'];
                        $ftpserver = $_POST['ftpserver'];
                        write_ftpconfig($ftpserver, $ftpport);
                    }
                }
	#			require_once("scr_plugin_ftp_config.php");
			break;
		}
		$inc++;
	}
}

function write_ftpconfig($ftpserver, $ftpport){

    $f_name = "/var/www/html/phpWebFTP/configftp.inc.php.tpl";
    $dest_f_name = "/var/www/html/phpWebFTP/configftp.inc.php";

    if (file_exists($f_name)){
        $handle = fopen($f_name, 'r');
        $template = stream_get_contents($handle);
        fclose($handle);
        $template = str_replace('%%ftpServer', "'" . $ftpserver . "'", $template);
        $template = str_replace('%%ftpPort', "'" . $ftpport . "'", $template);

        $handle = fopen($dest_f_name, 'w');
        fwrite($handle, $template);
        fclose($handle);
    }
}

function plugftp_install(){
}
/*
 * Uninstall function
*/
function plugftp_uninstall(){
    $dest_f_name = "/var/www/html/phpWebFTP/configftp.inc.php";
    `rm -f $dest_f_name`;
}
?>
